diff --git a/debian/changelog b/debian/changelog
index 786812f..8ff14e8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,29 @@
+battery-stats (0.3.6-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Dropped 01-skip-non-battery.patch and build-depend on
+    libacpi-dev (>= 0.2-4.1) as the workaround is no longer needed.
+
+ -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 12:16:58 +0100
+
+battery-stats (0.3.6-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Replace homepage URL in control file with a working one. (Closes: #738807)
+  * Fix typo in package description (patters->patterns). (Closes: #648294)
+  * Add gbp.conf file to enforce use of pristine-tar.
+  * Updated Standards-Version from 3.8.3 to 3.9.7.
+  * Removed menu file, only need desktop file.
+  * Added code to source /lib/lsb/init-functions in init.d script to
+    work well with systemd.
+  * Drop obsolete DM-Upload-Allowed field from control file.
+  * Added Vcs-* links to control file.
+  * Changed build dependencies to allow building with gnuplot-qt.
+  * Switch to source format 3.0 (quilt).
+  * Added 01-skip-non-battery.patch to skip AC "battery". (Closes: 574678)
+
+ -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 08:49:58 +0000
+
 battery-stats (0.3.6-1) unstable; urgency=low
 
   * New upstream release that integrates a patch to specify the battery 
diff --git a/debian/control b/debian/control
index 5e4ec33..a2233d6 100644
--- a/debian/control
+++ b/debian/control
@@ -2,10 +2,17 @@ Source: battery-stats
 Section: admin
 Priority: extra
 Maintainer: Antonio Radici <antonio@dyne.org>
-Build-Depends: debhelper (>= 7), libapm-dev, libacpi-dev [i386 amd64 ia64], cdbs, autotools-dev, gnuplot-nox (>= 4), imagemagick
-Standards-Version: 3.8.3
-DM-Upload-Allowed: yes
-Homepage: http://theforest.dyne.org/battery-stats/
+Build-Depends: debhelper (>= 7),
+ libapm-dev,
+ libacpi-dev (>= 0.2-4.1) [i386 amd64 ia64],
+ cdbs,
+ autotools-dev,
+ gnuplot-nox (>= 4) | gnuplot-qt,
+ imagemagick
+Standards-Version: 3.9.7
+Homepage: https://github.com/krf/battery-stats
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/battery-stats.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/battery-stats.git
 
 Package: battery-stats
 Architecture: sparc ia64 amd64 i386
@@ -15,6 +22,6 @@ Description: collects statistics about charge of laptop batteries
  collect statistics about the charge of the batteries present.
  .
  It also proves a binary called battery-graph, which can be used to generate
- qplot graphs about the battery charge/discharge patters over time
+ qplot graphs about the battery charge/discharge patterns over time
  .
  Note: This requires APM or ACPI to be enabled and working in your kernel.
diff --git a/debian/gbp.conf b/debian/gbp.conf
new file mode 100644
index 0000000..cec628c
--- /dev/null
+++ b/debian/gbp.conf
@@ -0,0 +1,2 @@
+[DEFAULT]
+pristine-tar = True
diff --git a/debian/init.d b/debian/init.d
index 81a427d..d6c3aec 100644
--- a/debian/init.d
+++ b/debian/init.d
@@ -12,6 +12,8 @@
 # Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
 # Modified for battery-stats by Karl E. Jørgensen <karl@jorgensen.com>
 
+. /lib/lsb/init-functions
+
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 DAEMON=/usr/sbin/battery-stats-collector
 NAME=battery-stats-collector
diff --git a/debian/menu b/debian/menu
deleted file mode 100644
index 30ada30..0000000
--- a/debian/menu
+++ /dev/null
@@ -1,4 +0,0 @@
-?package(battery-stats):\
- needs="X11"\
- section="Applications/System/Monitoring"\
- title="Battery Charge Graph" command="/usr/bin/battery-graph"
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
